After Upgrade from BDA 4.2 to 4.5 Tableau Connections Raise "Error occurred while contacting server: invalid sasl status. This could be because you are trying to establish a non-SSL connection to a SSL-enabled server." (Doc ID 2163741.1)

Last updated on JULY 21, 2016

Applies to:

Big Data Appliance Integrated Software - Version 4.5.0 and later
Linux x86-64

Symptoms

After upgrade from BDA 4.2 to BDA 4.5 Tableau that use to connect to Hive raises:

Unable to connect to the ODBC Data Source. Check that the necessary drivers are installed and that the connection properties are valid.

[Cloudera][ThriftExtension] (5) Error occurred while contacting server: invalid sasl status. This could be because you are trying to establish a non-SSL connection to a SSL-enabled server.

How to resolve?

Changes

Upgrade to Mammoth v4.5.0.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms